View Issue Details

IDProjectCategoryView StatusLast Update
0016395ScribusUser Interfacepublic2020-12-22 01:33
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016395: Unify margins for Import Page, Delete Page, Copy&Move Page dialogs
DescriptionThis patch unifies the margins and spaces for Page > Import..., Page > Delete..., Page > Copy... and Page > Move... dialogs.

Nothing else just margins, please see the before-after screenshot. Please review the attached patch. Thanks

A quiet question: Why are Copy and Move dialogs so fragmented? Is it intentional or is it a bug?
TagsNo tags attached.
PatchYes

Relationships

child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

bubu

2020-12-16 20:31

reporter  

pages.diff (4,319 bytes)
diff --git a/scribus/ui/delpages.cpp b/scribus/ui/delpages.cpp
index 9c88fcd7474073a02d588ebef6c3a0f9d9c6aec8..73fdbad0343e5326a25537973f982b3bed043d0f 100644
--- a/scribus/ui/delpages.cpp
+++ b/scribus/ui/delpages.cpp
@@ -18,11 +18,11 @@ DelPages::DelPages( QWidget* parent, int currentPage, int maxPage ) : QDialog( p
 	setModal(true);
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 	dialogLayout = new QVBoxLayout( this );
-	dialogLayout->setSpacing( 5 );
-	dialogLayout->setMargin( 10 );
+	dialogLayout->setSpacing(6);
+	dialogLayout->setContentsMargins(9, 9, 9, 9);
 	fromToLayout = new QHBoxLayout;
-	fromToLayout->setSpacing( 5 );
-	fromToLayout->setMargin( 5 );
+	fromToLayout->setSpacing(6);
+	fromToLayout->setContentsMargins(0, 0, 0, 0);
 	fromLabel = new QLabel( tr( "Delete From:" ), this );
 	fromToLayout->addWidget( fromLabel );
 	fromPageData = new ScrSpinBox(this);
@@ -47,8 +47,8 @@ DelPages::DelPages( QWidget* parent, int currentPage, int maxPage ) : QDialog( p
 	dialogLayout->addLayout( fromToLayout );
 
 	okCancelLayout = new QHBoxLayout;
-	okCancelLayout->setSpacing( 5 );
-	okCancelLayout->setMargin( 0 );
+	okCancelLayout->setSpacing(6);
+	okCancelLayout->setContentsMargins(0, 3, 0, 0);
 	QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
 	okCancelLayout->addItem( spacer );
 	okButton = new QPushButton( CommonStrings::tr_OK, this );
diff --git a/scribus/ui/mergedoc.cpp b/scribus/ui/mergedoc.cpp
index 323628bd1ce1bdd26771d802eb601591a71c28c6..73021c44f6ead4b605b0654ac0e1a12b27e4c33c 100644
--- a/scribus/ui/mergedoc.cpp
+++ b/scribus/ui/mergedoc.cpp
@@ -40,11 +40,11 @@ MergeDoc::MergeDoc(QWidget* parent, bool importMasterPages, int targetDocPageCou
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 
 	dialogLayout = new QVBoxLayout(this);
-	dialogLayout->setMargin(10);
-	dialogLayout->setSpacing(5);
+	dialogLayout->setContentsMargins(9, 9, 9, 9);
+	dialogLayout->setSpacing(6);
 	fromInfoLayout = new QGridLayout;
 	fromInfoLayout->setMargin(0);
-	fromInfoLayout->setSpacing(5);
+	fromInfoLayout->setSpacing(6);
 	fromDocData = new QLineEdit( this );
 	fromDocData->setMinimumWidth(QWidget::fontMetrics().horizontalAdvance('a') * 50);
 	fromDocLabel = new QLabel( tr( "&From Document:"), this );
@@ -98,8 +98,8 @@ MergeDoc::MergeDoc(QWidget* parent, bool importMasterPages, int targetDocPageCou
 
 	dialogLayout->addLayout( fromInfoLayout );
 	importCancelLayout = new QHBoxLayout;
-	importCancelLayout->setMargin(0);
-	importCancelLayout->setSpacing(5);
+	importCancelLayout->setContentsMargins(0, 3, 0, 0);
+	importCancelLayout->setSpacing(6);
 	QSpacerItem* spacer = new QSpacerItem( 1, 1, QSizePolicy::Expanding, QSizePolicy::Minimum );
 	importCancelLayout->addItem( spacer );
 	importButton = new QPushButton( tr( "&Import" ), this );
diff --git a/scribus/ui/movepage.cpp b/scribus/ui/movepage.cpp
index 0fa5062328b5ced628b34fff95f86b3fbdb51392..60b5342e6d4bbee0b8b133d68603db2080ca9e4e 100644
--- a/scribus/ui/movepage.cpp
+++ b/scribus/ui/movepage.cpp
@@ -29,11 +29,11 @@ MovePages::MovePages( QWidget* parent, int currentPage, int maxPages, bool movin
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 	setModal(true);
 	dialogLayout = new QVBoxLayout( this );
-	dialogLayout->setSpacing( 5 );
-	dialogLayout->setMargin( 10 );
+	dialogLayout->setSpacing(6);
+	dialogLayout->setContentsMargins(9, 9, 9, 9);
 	fromToLayout = new QGridLayout();
-	fromToLayout->setSpacing( 5 );
-	fromToLayout->setMargin( 5 );
+	fromToLayout->setSpacing(6);
+	fromToLayout->setContentsMargins(0, 0, 0, 0);
 	moveLabel = new QLabel( (move ? tr("Move Page(s)") : tr("Copy Page")) + ":", this );
 	fromPageData = new ScrSpinBox(this);
 	fromPageData->setDecimals(0);
@@ -97,8 +97,8 @@ MovePages::MovePages( QWidget* parent, int currentPage, int maxPages, bool movin
 	dialogLayout->addLayout( fromToLayout );
 
 	okCancelLayout = new QHBoxLayout();
-	okCancelLayout->setSpacing( 6 );
-	okCancelLayout->setMargin( 0 );
+	okCancelLayout->setSpacing(6);
+	okCancelLayout->setContentsMargins(0, 3, 0, 0);
 	QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
 	okCancelLayout->addItem( spacer );
 	okButton = new QPushButton( CommonStrings::tr_OK, this );
pages.diff (4,319 bytes)
pages.gif (51,455 bytes)
pages.gif (51,455 bytes)

jghali

2020-12-22 01:33

administrator   ~0048592

Last edited: 2020-12-22 01:33

View 2 revisions

Same as 0016392, I did not commit the changes of margin related to ok/cancel buttons layout

Issue History

Date Modified Username Field Change
2020-12-16 20:31 bubu New Issue
2020-12-16 20:31 bubu File Added: pages.diff
2020-12-16 20:31 bubu File Added: pages.gif
2020-12-17 08:10 PeterBenedek Relationship added child of 0013906
2020-12-22 01:33 jghali Assigned To => jghali
2020-12-22 01:33 jghali Status new => resolved
2020-12-22 01:33 jghali Resolution open => fixed
2020-12-22 01:33 jghali Fixed in Version => 1.5.7.svn
2020-12-22 01:33 jghali Note Added: 0048592
2020-12-22 01:33 jghali Note Edited: 0048592 View Revisions